Results 1 to 6 of 6

Thread: ASRock 939Dual-SATA2

  1. #1
    Join Date
    Jun 2006
    Posts
    351

    Default ASRock 939Dual-SATA2

    I've just purchased this board after i saw the favorable, Phoronix and Anandtech, reviews, but now i'm faced with sound problems (choppy sound, fading volume) whenever i run some apps like unrar-ing some files, compiling kernel, copying some files on the hard drive.

    looks like the problem might be ALSA related ( as seen here , there and over here )

    any ideas? already tried the buggy_irq option but it just fails

    dmesg (not sure if this is the reason) says:
    Code:
    [4294677.882000] ACPI: PCI Interrupt 0000:00:08.0[A] -> GSI 18 (level, low) -> IRQ 24
    [4294678.907000] AC'97 1 does not respond - RESET
    [4294678.922000] AC'97 1 access is not valid [0xffffffff], removing mixer.
    [4294678.936000] Unable to initialize codec #1
    [4294678.950000] applying quirk type buggy_irq failed (-22)
    [4294679.016000] intel8x0_measure_ac97_clock: measured 51191 usecs
    [4294679.030000] intel8x0: clocking to 48000
    10x

  2. #2

    Default

    What version of ALSA are you using? What distribution?

    Did you try using the latest development (1.0.13) release of ALSA?

  3. #3
    Join Date
    Jun 2006
    Location
    Arizona, USA
    Posts
    12

    Default

    I used to use this board (I have since sold it because I upgraded to an SLI system). My boss now has a couple of them and I believe he has had trouble with both the network card and sound with distributions using fairly new kernels (2.6.9-2.6.14 or so). I could be wrong though. When I used the board with Gentoo, it worked great. I believe I used it with 2.6.15 and/or 2.6.16 with the ALSA included in the kernel.

  4. #4
    Join Date
    Jun 2006
    Posts
    351

    Default

    SLED10_64bit 2.6.16.21-0.8-default ( i dont know, ALSA < 1.0.11rc4 )
    Zenwalk 2.6.17.11 ( i dont know, ALSA < 1.0.11rc4 )
    Zenwalk 2.6.17-emmision8 ( ALSA 1.0.11rc4 )

    i'll try the latest later tonight.

  5. #5
    Join Date
    Jun 2006
    Location
    Arizona, USA
    Posts
    12

    Default

    I spoke with my boss today (he's arcturus on here, maybe I can get him to post in the thread) and he said he actually wasn't able to narrow the problem down to specific kernel/alsa versions like I thought he was. He did say that *buntu works fine though.

  6. #6
    Join Date
    Jun 2006
    Posts
    351

    Default

    so i've tested 2.6.17-emmision8 (alsa 1.0.11rc4 in the kernel) and it did not skip anymore, strange since i used this kernel for several days and it was getting annoying

    now i have 2.6.17-emmision8 w/o ALSA + ALSA 1.0.13RC3 and it works fine while running: MPD + Opera w/ GoogleVideo + MPlayer while i compile the kernel... strange... hope it just works for now on.

    i'm still getting those errors while booting
    Code:
    [4294677.434000] ACPI: PCI Interrupt 0000:00:08.0[A] -> GSI 18 (level, low) -> IRQ 24
    [4294678.460000] ALSA /home/licaon/alsa/alsa-driver-1.0.13rc3/pci/ac97/ac97_codec.c:2037: AC'97 1 does not respond - RESET
    [4294678.476000] ALSA /home/licaon/alsa/alsa-driver-1.0.13rc3/pci/ac97/ac97_codec.c:2046: AC'97 1 access is not valid [0xffffffff], removing mixer.
    [4294678.505000] ALSA /home/licaon/alsa/alsa-driver-1.0.13rc3/pci/intel8x0.c:2142: Unable to initialize codec #1
    [4294678.571000] intel8x0_measure_ac97_clock: measured 50727 usecs
    [4294678.586000] intel8x0: clocking to 48000
    Last edited by Licaon; 09-28-2006 at 04:05 PM.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •